
Figure - Bug #118689
【IOVDEV-33463】【内部】【VC1】【0106】【台架】【EE环境】【副屏】【游戏模式】游戏内点击录屏按
钮唤起屏幕录制弹窗有延迟卡顿现象
2023-06-08 20:00 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-08

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0088.C103����【副屏版本号】：01.00.0106（01.00.0104）

Resolution: INVALID Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230608 14：35

【前提条件】：副屏上电，中控已连接

【操作步骤】

1.打开游戏进入工具箱

2.点击录屏按钮

【实际结果】

1.游戏内点击录屏按钮唤起屏幕录制弹窗有延迟卡顿现象

【期望结果】

1.游戏内点击录屏按钮唤起屏幕录制弹窗不会有延迟卡顿现象

【备注】：

【当前开机次数】：171

【应用版本】：

【硬件版本号】：

【VIN】HRYTTESTVINMGM401

【中控版本号】：03.02.0088.C103

【副屏版本号】：01.00.0106（01.00.0104）

Related issues:

Related to Figure - Bug # 118666: IOVDEV-33378【内部】【VC1】【0... CLOSED 2023-06-08

History

#1 - 2023-06-08 20:01 - CDTS_Test 吴诗雨

- Category changed from CD-FW to 卡顿

#2 - 2023-06-08 20:01 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118689

#3 - 2023-06-09 09:34 - CD FW 曹覃刚
- Status changed from New to ASSIGNED

■ 我的分析

看视频

玩游戏时打开录屏对话框，对话框显示的动画卡顿

不在游戏画面打开录屏对话框，正常显示

■ 下一步计划

1.尝试复现这个问题，今日本地测试5次没复现

2.尝试规避方案

#4 - 2023-06-12 20:19 - CD FW 曹覃刚

- Category changed from 卡顿 to CD-FW

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#5 - 2023-06-15 11:42 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

■ My analysis

从日志看 14:16:56 出现内存不足的信息，因此在问题发生时，整体系统性能不是很理想，导致录屏选项对话框在打开和关闭时，执行相应动画出现卡顿

不顺畅的问题。

1. 针对系统性能问题，近期有优化提交入库，可以尝试使用新版本进行该问题的验证复现；

2. 如果在新版本中，问题还是存在，备用方案是去掉录屏选项对话框的进入和退出动画，这样进入和退出也可以变快；

日志如下：

06-08 14:16:56.119  1000  1553  1746 I am_meminfo: [2839388160,905179136,34729984,453423104,410932224]

■ Next action

使用新版本验证，是否还会复现该问题。

#6 - 2023-06-15 13:43 - CD FW-廖涛

已在 JIRA 上回复。

#7 - 2023-07-10 16:32 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to INVALID

7.10

功能以取消

#8 - 2023-07-10 16:32 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED
#9 - 2023-07-10 16:32 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

IOVDEV-33463.zip 6.81 MB 2023-06-08 CDTS_Test 吴诗雨
